### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- node

### Methods

- back
- list
- prior

## Constructors

### constructor

- new default(node: Node): <internal>.default

- - Defined in fs/v1/PrivateHistory.ts:25

  #### Parameters

  - ##### node: Node

  #### Returns <internal>.default

## Properties

### Readonly node

node: Node

## Methods

### back

- back(delta?: number): Promise<Maybe<Node>>

- - Defined in fs/v1/PrivateHistory.ts:32

  Go back one or more versions.

  #### Parameters

  - ##### delta: number = -1

    Optional negative number to specify how far to go back

  #### Returns Promise<Maybe<Node>>

### list

- list(amount?: number): Promise<{ delta: number; timestamp: number }[]>

- - Defined in fs/v1/PrivateHistory.ts:60

  List earlier versions along with the timestamp they were created.

  #### Parameters

  - ##### amount: number = 5

  #### Returns Promise<{ delta: number; timestamp: number }[]>

### prior

- prior(timestamp: number): Promise<Maybe<Node>>

- - Defined in fs/v1/PrivateHistory.ts:49

  Get a version before a given timestamp.

  #### Parameters

  - ##### timestamp: number

    Unix timestamp in seconds

  #### Returns Promise<Maybe<Node>>

Generated using TypeDoc